# Global

##

### Methods

#### hook(type, hook)

Add a function hook to a specific dash lifecycle

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | the lifecycle to hook the function to
`hook` | function | Array.<function()> | the function or array of functions to attach

Source:
  - videojs-dash.js, line 325

#### hooks(type, hookopt) → {Array}

Get a list of hooks for a specific lifecycle

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`type` | string |  | the lifecycle to get hooks from
`hook` | function | Array.<function()> | <optional> | Optionally add a hook tothe lifecycle

Source:
  - videojs-dash.js, line 307

##### Returns:

an array of hooks or epty if none

Type
  Array

#### removeHook(type, hook) → {boolean}

Remove a hook from a specific dash lifecycle.

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | string | the lifecycle that the function hooked to
`hook` | function | The hooked function to remove

Source:
  - videojs-dash.js, line 336

##### Returns:

True if the function was removed, false if not found

Type
  boolean